org.appng.openapi.model

## Class ActionLink

- java.lang.Object
- - org.appng.openapi.model.Link
  - - org.appng.openapi.model.ActionLink

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
      public class ActionLink
      extends Link

  ActionLink

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.appng.openapi.model.Link

      `Link.TypeEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JSON_PROPERTY_EVENT_ID`
    `static String` | `JSON_PROPERTY_ID`
    `static String` | `JSON_PROPERTY_INTERACTIVE`
    `static String` | `JSON_PROPERTY_PARAMETERS`

    - ### Fields inherited from class org.appng.openapi.model.Link

      `JSON_PROPERTY_CONFIRMATION, JSON_PROPERTY_DEFAULT, JSON_PROPERTY_ICON, JSON_PROPERTY_LABEL, JSON_PROPERTY_TARGET, JSON_PROPERTY_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionLink()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionLink` | `addParametersItem(Parameter parametersItem)`
    `boolean` | `equals(Object o)`
    `ActionLink` | `eventId(String eventId)`
    `String` | `getEventId()` Event-ID of the action
    `String` | `getId()` ID of the action
    `Boolean` | `getInteractive()` Wether or not this action requires additional user-input
    `List<Parameter>` | `getParameters()` Get parameters
    `int` | `hashCode()`
    `ActionLink` | `id(String id)`
    `ActionLink` | `interactive(Boolean interactive)`
    `ActionLink` | `parameters(List<Parameter> parameters)`
    `void` | `setEventId(String eventId)`
    `void` | `setId(String id)`
    `void` | `setInteractive(Boolean interactive)`
    `void` | `setParameters(List<Parameter> parameters)`
    `String` | `toString()`

    - ### Methods inherited from class org.appng.openapi.model.Link

      `_default, confirmation, getConfirmation, getDefault, getIcon, getLabel, getTarget, getType, icon, label, setConfirmation, setDefault, setIcon, setLabel, setTarget, setType, target, type`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JSON_PROPERTY_ID

          public static final String JSON_PROPERTY_ID

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_EVENT_ID

          public static final String JSON_PROPERTY_EVENT_ID

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_INTERACTIVE

          public static final String JSON_PROPERTY_INTERACTIVE

      See Also:
        Constant Field Values

    - #### JSON_PROPERTY_PARAMETERS

          public static final String JSON_PROPERTY_PARAMETERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActionLink

          public ActionLink()

  - ### Method Detail

    - #### id

          public ActionLink id(String id)

      Overrides:
        `id` in class `Link`

    - #### getId

          @Nullable
          public String getId()

      ID of the action
      Overrides:
        `getId` in class `Link`
      Returns:
        id

    - #### setId

          public void setId(String id)

      Overrides:
        `setId` in class `Link`

    - #### eventId

          public ActionLink eventId(String eventId)

    - #### getEventId

          @Nullable
          public String getEventId()

      Event-ID of the action
      Returns:
        eventId

    - #### setEventId

          public void setEventId(String eventId)

    - #### interactive

          public ActionLink interactive(Boolean interactive)

    - #### getInteractive

          @Nullable
          public Boolean getInteractive()

      Wether or not this action requires additional user-input
      Returns:
        interactive

    - #### setInteractive

          public void setInteractive(Boolean interactive)

    - #### parameters

          public ActionLink parameters(List<Parameter> parameters)

    - #### addParametersItem

          public ActionLink addParametersItem(Parameter parametersItem)

    - #### getParameters

          @Nullable
          public List<Parameter> getParameters()

      Get parameters
      Returns:
        parameters

    - #### setParameters

          public void setParameters(List<Parameter> parameters)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Link`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Link`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Link`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.